# Class PixellatorPixerFactory

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.PixellatorPixerFactory

public class PixellatorPixerFactory extends Object
Adapts a Pixellator to generate Pixer instances. This is intended as a temporary measure; in due course all the pixel iteration will be written as Pixer objects from scratch, but this class is useful to adapt the functionality from the classic plot classes.

Since:
  27 Nov 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PixellatorPixerFactory(Pixellator pixellator)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Pixer`
`createPixer(Rectangle clip)`
Returns a pixel iterator for this factory intersected with a given clip region.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PixellatorPixerFactory

public PixellatorPixerFactory(Pixellator pixellator)
Constructor.

Parameters:
  `pixellator` - pixellator

## Method Details

### createPixer

public Pixer createPixer(Rectangle clip)
Returns a pixel iterator for this factory intersected with a given clip region. May return null in the case of no intersection.

Parameters:
  `clip` - clip region
Returns:
  new pixel iterator, or null